#! /bin/sh
#--------------------------------------------------------------------------
#regulact is the way for Regulus to acct on the OS
# action type are:
#	To_be_mail	send a mail to manager or user
#	To_be_printed   print a text
# action are defined by the first parameter
#--------------------------------------------------------------------------
cd `dirname $0`
#--------------------------------------------------------------------------
#loading mail configuration
base=$racine/var/lib/regulus2
. $base/conf/act.conf
export regconf=$base/conf/regulus.php
#--------------------------------------------------------------------------

#MMODE	Message mode (P-mail, etc..)
#MDEST  Message destination (ACCTMNG...)
#MLANG	Message langage
#MTYPE	Message type (Newinvoice, term missing, etc..)

while read -r MMODE MDEST MLANG MTYPE P5 P6 P7 P8 P9 P10 P11 P12 P13
do 

#--------------------------------------------------------------------------
#predefining used Variable.
COPY=""
#--------------------------------------------------------------------------
#assigning messages
. ../conf/messages.mail $*
#--------------------------------------------------------------------------
case "$MMODE" in	#Mail-MODE
  "E-mail" | \
  "P-mail" )
   #sending the message
SUBJECT=`echo $SUBJECT | sed -e 's/%20/ /g'`
SUBJECT=`echo $SUBJECT | sed -e 's/%=/\&/g'`
SUBJECT=`echo $SUBJECT | sed -e 's/%-/\+/g'`
  if [ $TOSEND = "Yes" ] ; then
    /usr/lib/sendmail -f"$ORIGINATOR" $DST $COPY <<!EOTX
From: $ORIGINATOR
To: $DST
Cc: $COPY
Subject: $SUBJECT
$MAIL_HEADER

$MSG
!EOTX
  fi
  ;;

  "To-printer" )
  #print information directly on the printer.
    case "$MTYPE" in
      "deposit" )
         export html2psrc=html2ps2col.rc
         echo $INVOICE_ATTACH | ./html2ps | /bin/sh -c "$REGPRINTER"
         ;;
       "dreport" | \
       "new_invoice" | \
       "statement" )
	 export html2psrc=html2ps2inv.rc
         echo $INVOICE_ATTACH | ./html2ps | /bin/sh -c "$REGPRINTER"
	 if [ -n "$CALL_ATTACH" ]; then
	     echo $CALL_ATTACH | ./html2ps | /bin/sh -c "$REGPRINTER"
	 fi
	 ;;
       "new_receipt" )
	 export html2psrc=html2ps2inv.rc
         echo $RECEIPT_ATTACH | ./html2ps | /bin/sh -c "$REGPRINTER"
         ;;
       "new_attach" )
	 export html2psrc=html2ps2inv.rc
         echo $CALL_ATTACH | ./html2ps | /bin/sh -c "$REGPRINTER"
         ;;
       *)
         echo "FATAL ERROR, 'MTYPE=($MTYPE)' untreated, check regulact.sh" >> /tmp/zza
         ;;
    esac

  ;;

  *)
    echo "FATAL ERROR, 'MMODE=($MMODE)' untreated, check regulact.sh"
    echo "Parameters received are:" $*
  ;;

esac
done
